summaryrefslogtreecommitdiff
path: root/packages
diff options
context:
space:
mode:
Diffstat (limited to 'packages')
-rw-r--r--packages/dbus/dbus/dbus-1.init87
-rw-r--r--packages/linux/linux-openzaurus_2.6.11.bb34
2 files changed, 75 insertions, 46 deletions
diff --git a/packages/dbus/dbus/dbus-1.init b/packages/dbus/dbus/dbus-1.init
index 118b801da7..bd31b6208c 100644
--- a/packages/dbus/dbus/dbus-1.init
+++ b/packages/dbus/dbus/dbus-1.init
@@ -1,15 +1,17 @@
#! /bin/sh
-# -*- coding: iso8859-1 -*-
+# -*- coding: utf-8 -*-
# Debian init.d script for D-BUS
-# Copyright (c) 2003 Colin Walters <walters@debian.org>
+# Copyright © 2003 Colin Walters <walters@debian.org>
set -e
DAEMON=/usr/bin/dbus-daemon-1
NAME=dbus-1
DAEMONUSER=messagebus
-PIDFILE=/var/run/dbus/pid
+PIDDIR=/var/run/dbus
+PIDFILE=$PIDDIR/pid
DESC="system message bus"
+EVENTDIR=/etc/dbus-1/event.d
test -x $DAEMON || exit 0
@@ -17,41 +19,68 @@ test -x $DAEMON || exit 0
ENABLED=1
PARAMS=""
if [ -e /etc/default/dbus-1 ]; then
- . /etc/default/dbus-1
+ . /etc/default/dbus-1
fi
test "$ENABLED" != "0" || exit 0
+start_it_up()
+{
+ if [ ! -d $PIDDIR ]; then
+ mkdir -p $PIDDIR
+ chown $DAEMONUSER $PIDDIR
+ chgrp $DAEMONUSER $PIDDIR
+ fi
+ if [ -e $PIDFILE ]; then
+ PIDDIR=/proc/$(cat $PIDFILE)
+ if [ -d ${PIDDIR} -a "$(readlink -f ${PIDDIR}/exe)" = "${DAEMON}" ]; then
+ echo "$DESC already started; not starting."
+ else
+ echo "Removing stale PID file $PIDFILE."
+ rm -f $PIDFILE
+ fi
+ fi
+ echo -n "Starting $DESC: "
+ start-stop-daemon --start --quiet --pidfile $PIDFILE \
+ --user $DAEMONUSER --exec $DAEMON -- --system $PARAMS
+ echo "$NAME."
+ if [ -d $EVENTDIR ]; then
+ run-parts --arg=start $EVENTDIR
+ fi
+}
+
+shut_it_down()
+{
+ if [ -d $EVENTDIR ]; then
+ run-parts --reverse --arg=stop $EVENTDIR
+ fi
+ echo -n "Stopping $DESC: "
+ start-stop-daemon --stop --retry 60 --quiet --oknodo --pidfile $PIDFILE \
+ --user $DAEMONUSER
+ # We no longer include these arguments so that start-stop-daemon
+ # can do its job even given that we may have been upgraded.
+ # We rely on the pidfile being sanely managed
+ # --exec $DAEMON -- --system $PARAMS
+ echo "$NAME."
+ rm -f $PIDFILE
+}
+
case "$1" in
start)
- echo -n "Starting $DESC: "
- if [ ! -d /var/run/dbus ]; then
- mkdir /var/run/dbus
- chown $DAEMONUSER:$DAEMONUSER /var/run/dbus
- fi
- start-stop-daemon -S \
- -u $DAEMONUSER -x $DAEMON -- --system $PARAMS
- echo "$NAME."
- ;;
+ start_it_up
+ ;;
stop)
- echo -n "Stopping $DESC: "
- start-stop-daemon -K \
- -u $DAEMONUSER -x $DAEMON -- --system $PARAMS
- echo "$NAME."
- ;;
+ shut_it_down
+ ;;
restart|force-reload)
- echo -n "Restarting $DESC: "
- start-stop-daemon -K \
- -u $DAEMONUSER -x $DAEMON -- --system $PARAMS
- sleep 1
- start-stop-daemon -S \
- -u $DAEMONUSER -x $DAEMON -- --system $PARAMS
- echo "$NAME."
- ;;
+ shut_it_down
+ sleep 1
+ start_it_up
+ ;;
*)
- echo "Usage: /etc/init.d/$NAME {start|stop|restart|force-reload}" >&2
- exit 1
- ;;
+ echo "Usage: /etc/init.d/$NAME {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
esac
exit 0
diff --git a/packages/linux/linux-openzaurus_2.6.11.bb b/packages/linux/linux-openzaurus_2.6.11.bb
index d93006ffa7..ef1a97d2e4 100644
--- a/packages/linux/linux-openzaurus_2.6.11.bb
+++ b/packages/linux/linux-openzaurus_2.6.11.bb
@@ -21,31 +21,31 @@ JLSRC = "http://www.cs.wisc.edu/~lenz/zaurus/files/"
SRC_URI = "ftp://ftp.kernel.org/pub/linux/kernel/v2.6/linux-2.6.11.tar.gz \
http://www.kernel.org/pub/linux/kernel/people/rml/inotify/v2.6/0.22/inotify-0.22-rml-2.6.11-1.patch;patch=1 \
${JLSRC}/zaurus-base-2.6.11.diff.gz;patch=1 \
- ${RPSRC}/rndis_fix-r0.patch;patch=1 \
- ${RPSRC}/w100_malloc-r2.patch;patch=1 \
- ${RPSRC}/pxairq_printk-r0.patch;patch=1 \
- ${RPSRC}/corgi_kbd-r14.patch;patch=1 \
- ${RPSRC}/corgi_ts-r10.patch;patch=1 \
- ${RPSRC}/sharp_multi_scoop-r1.patch;patch=1 \
- ${RPSRC}/corgi_kbd1-r0.patch;patch=1 \
- ${RPSRC}/sharpsl_param-r5.patch;patch=1 \
+ ${RPSRC}/archive/rndis_fix-r0.patch;patch=1 \
+ ${RPSRC}/archive/w100_malloc-r2.patch;patch=1 \
+ ${RPSRC}/archive/pxairq_printk-r0.patch;patch=1 \
+ ${RPSRC}/archive/corgi_kbd-r14.patch;patch=1 \
+ ${RPSRC}/archive/corgi_ts-r10.patch;patch=1 \
+ ${RPSRC}/archive/sharp_multi_scoop-r1.patch;patch=1 \
+ ${RPSRC}/archive/corgi_kbd1-r0.patch;patch=1 \
+ ${RPSRC}/archive/sharpsl_param-r5.patch;patch=1 \
${RPSRC}/pxa_rtc-r1.patch;patch=1 \
- ${RPSRC}/pxa_irda-r1.patch;patch=1 \
- ${RPSRC}/pxaudc_susres-r1.patch;patch=1 \
+ ${RPSRC}/archive/pxa_irda-r1.patch;patch=1 \
+ ${RPSRC}/archive/pxaudc_susres-r1.patch;patch=1 \
${RPSRC}/sharp_multi_pcmcia-r2.patch;patch=1 \
- ${RPSRC}/pxa_turbo-r0.patch;patch=1 \
- ${RPSRC}/sharpsl_mapprom-r1.patch;patch=1 \
- ${RPSRC}/input_power-r1.patch;patch=1 \
+ ${RPSRC}/archive/pxa_turbo-r0.patch;patch=1 \
+ ${RPSRC}/archive/sharpsl_mapprom-r1.patch;patch=1 \
+ ${RPSRC}/archive/input_power-r1.patch;patch=1 \
${RPSRC}/corgi_irda-r2.patch;patch=1 \
${RPSRC}/corgi_base_extras1-r2.patch;patch=1 \
${RPSRC}/jffs2_longfilename-r0.patch;patch=1 \
- ${RPSRC}/corgi_power-r22.patch;patch=1 \
+ ${RPSRC}/archive/corgi_power-r22.patch;patch=1 \
${RPSRC}/corgi_power1-r1.patch;patch=1 \
- ${RPSRC}/ide_fixes-r1.patch;patch=1 \
- ${RPSRC}/mmc_sd-r4.patch;patch=1 \
+ ${RPSRC}/archive/ide_fixes-r1.patch;patch=1 \
+ ${RPSRC}/archive/mmc_sd-r4.patch;patch=1 \
${RPSRC}/mmc_timeout-r0.patch;patch=1 \
${RPSRC}/corgi_snd-r6.patch;patch=1 \
- ${RPSRC}/w100_split-r5-r1.patch;patch=1 \
+ ${RPSRC}/archive/w100_split-r5-r1.patch;patch=1 \
${DOSRC}/pxa2xx-ir-dma-r0.patch;patch=1 \
${DOSRC}/tc6393-device-r2.patch;patch=1 \
${DOSRC}/tc6393_nand-r2.patch;patch=1 \